
% Unit Entry Names

% Characters

\newcommand{\duke}{Duke}
\newcommand{\paladin}{Paladin}
\newcommand{\damsel}{Damsel}
\newcommand{\castellan}{Castellan}


% Mounts

\newcommand{\horse}{Horse}
\newcommand{\bardedwarhorse}{Barded Warhorse}
\newcommand{\equitanunicorn}{Equitan Unicorn}
\newcommand{\pegasus}{Pegasus}
\newcommand{\hippogriff}{Hippogriff}


% Core

\newcommand{\knightsaspirant}{Knights Aspirant}
\newcommand{\knightaspirant}{Knight Aspirant}

\newcommand{\knightsoftherealm}{Knights of the Realm}
\newcommand{\knightoftherealm}{Knight of the Realm}

\newcommand{\peasantlevy}{Peasant Levy}
\newcommand{\peasant}{Peasant}

\newcommand{\peasantbowmen}{Peasant Bowmen}
\newcommand{\peasantbowman}{Peasant Bowman}


% Special

\newcommand{\knightsofthequest}{Knights of the Quest}
\newcommand{\knightofthequest}{Knight of the Quest}

\newcommand{\knightsforlorn}{Knights Forlorn}
\newcommand{\knightforlorn}{Knight Forlorn}

\newcommand{\knightsofthegrail}{Knights of the Grail}
\newcommand{\knightofthegrail}{Knight of the Grail}

\newcommand{\thegreenknight}{The Green Knight}
\newcommand{\spectralstallion}{Spectral Stallion}

\newcommand{\yeomanoutriders}{Yeoman Outriders}
\newcommand{\yeomanoutrider}{Yeoman Outrider}

\newcommand{\brigands}{Brigands}
\newcommand{\brigand}{Brigand}

\newcommand{\peasantcrusaders}{Peasant Crusaders}
\newcommand{\peasantcrusader}{Peasant Crusader}

\newcommand{\sacredreliquary}{Sacred Reliquary}

\newcommand{\scorpion}{Scorpion}
\newcommand{\trebuchet}{Trebuchet}
\newcommand{\crew}{Crew}


% Airborne Gallantry

\newcommand{\pegasusknights}{Pegasus Knights}
\newcommand{\pegasusknight}{Pegasus Knight}
\newcommand{\youngpegasus}{Young Pegasus}



% Unit Entry Rules

%%% CHARACTERS

% Duke

\newcommand{\asinglevirtue}{A single Virtue}

% Damsel

\newcommand{\beloved}{Beloved}
\newcommand{\beloveddef}{%
When the model is joined to a unit with at least one Full Rank of models with Lance Formation, it gains \textbf{\standbehind} and cannot be chosen by the opponent as the model that suffers the penalties for refusing a Duel.%
}

% Castellan

\newcommand{\ifbannerman}{If \textbf{\bannerman}}
\newcommand{\ifmasteratarms}{If \textbf{\masteratarms}}
\newcommand{\lowborn}{Lowborn}
\newcommand{\lowborndef}{The model may only join units comprised entirely of models with \insignificant{}.}
\newcommand{\masteratarms}{Master-at-Arms}
\newcommand{\masteratarmsdef}{The Castellan gains +1 Attack Value and its unit gains \textbf{\weaponmaster}.}
\newcommand{\bannerman}{Bannerman}
\newcommand{\bannermandef}{%
	\itemrestrictionnopar{\zerotoXmodelsperarmy{2}.}%
	The Castellan gains \textbf{\standbehind} and is a Standard Bearer.%
}


%%% MOUNTS

% Equitan Unicorn

\newcommand{\forestguide}{Forest Guide}
\newcommand{\forestguidedef}{The model's unit gains \textbf{\magicalattacks} and \textbf{\strider{\forest}}.}


%%% CORE

% Peasant Bowmen

\newcommand{\bowmensstakes}{Bowmen's Stakes}
\newcommand{\bowmensstakesdef}{%
When deploying the unit, you may place a Wall Terrain Feature fully within \distance{1} of the unit's Front Facing but not in contact with any other Terrain Feature except Open Terrain. This Wall is up to \SI{20}{\milli\meter} deep, and its length cannot be wider than the unit, to a maximum of \distance{12}. It follows the normal rules for Walls, with the exception that it contributes to Soft Cover instead of Hard Cover.%
}

\newcommand{\braziers}{Braziers}
\newcommand{\braziersdef}{%
Before shooting a \longbow{}, the model may choose to gain \textbf{\flamingattacks} for its Shooting Attack. The effect lasts for the duration of the phase.%
}

%%% SPECIAL

% Knights Forlorn

\newcommand{\forlornhope}{Forlorn Hope}
\newcommand{\forlornhopedef}{%
Enemy models do not count as Charging for the purpose of \devastatingcharge{} when attacking models with \forlornhope{}.%
}

% Knights of the Grail

\newcommand{\kightsofthegrailrestriction}{\zerotoXunitsperarmy{1} if the army includes at least one \scorpion{} or \trebuchet{}.}
\newcommand{\pureofheart}{Pure of Heart}
\newcommand{\pureofheartdef}{%
Only Damsels and Characters with \grailoath{} may join the unit.%
}
\newcommand{\holymight}{Holy Might}
\newcommand{\holymightdef}{%
The model part can make up to 2 Supporting Attacks while its unit has at least one Full Rank.%
}

% The Green Knight

\newcommand{\eternalchampion}{Eternal Champion}
\newcommand{\eternalchampiondef}{%
The Green Knight cannot be deployed during the Deployment Phase. Once per game, at the start of any of your Movement Phases, you may deploy The Green Knight within \distance{6} of a friendly Damsel. The Green Knight cannot perform a March Move this Player Turn. If The Green Knight has not been deployed by the end of the game, it counts as destroyed.\newline%
While The Green Knight is within \distance{12} of a friendly Damsel, it gains \textbf{\stubborn} and may issue and accept Duels as if it was a Champion.%
}
\newcommand{\thriceblessed}{Thrice Blessed}
\newcommand{\thriceblesseddef}{%
The Green Knight gains \textbf{\theblessing}. If the army Prayed, The Green Knight gains \textbf{\aegis{} (+1)}.%
}
\newcommand{\lambentsword}{Lambent Sword}
\newcommand{\lambentsworddef}{%
Attacks made with this weapon gain +2 Strength, +2 Armour Penetration, and ignore \parry{}.%
}

% Sacred Reliquary

\newcommand{\holyfervor}{Holy Fervor}
\newcommand{\holyfervordef}{%
A unit joined by a \sacredreliquary{} gains \textbf{\fightinextrarank}. If the \sacredreliquary{} is in base contact with an enemy model, the \sacredreliquary{} and all friendly units that are Engaged in the same Combat gain +1 Armour.%
}

% Scorpion

\newcommand{\siegewarmachinerestriction}{%
\scorpion{} and \trebuchet{} share the same \zerotoXmodelsperarmy{2} limitation.%
}
\newcommand{\scorpiondef}{%
\range{48}, \shots{1}, \St{} 3 [6], \AP{} 10, \textbf{\areaattack{} (1\timess{}5)}, [\textbf{\multiplewounds{D3+1}{\clippedwings}}].%
}

% Trebuchet

\newcommand{\trebuchetdef}{%
\textbf{\catapult{} (4\timess{}4)}. \range{12--60}, \shots{1}, \St{} 4 [8], \AP{} 2 [6], [\textbf{\multiplewounds{D3}{\clippedwings}}].%
}


%%% Airborne Gallantry

% Pegasus Knights

\newcommand{\looseformation}{Loose Formation}
\newcommand{\looseformationdef}{%
The model gains \hardtarget{} (1) and \skirmisher{}.%
}
